Create a coupon
curl --request POST \
--url https://api.example.com/api/v1/coupons \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"code": "<string>",
"discount": {
"percentage": "<string>"
},
"description": "<string>",
"expires_at": "2023-11-07T05:31:56Z",
"plan_ids": [
"plan_7n42DGM5Tflk9n8mt7Fhc7"
],
"recurring_value": 123,
"redemption_limit": 123,
"reusable": true
}
'import requests
url = "https://api.example.com/api/v1/coupons"
payload = {
"code": "<string>",
"discount": { "percentage": "<string>" },
"description": "<string>",
"expires_at": "2023-11-07T05:31:56Z",
"plan_ids": ["plan_7n42DGM5Tflk9n8mt7Fhc7"],
"recurring_value": 123,
"redemption_limit": 123,
"reusable": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
code: '<string>',
discount: {percentage: '<string>'},
description: '<string>',
expires_at: '2023-11-07T05:31:56Z',
plan_ids: ['plan_7n42DGM5Tflk9n8mt7Fhc7'],
recurring_value: 123,
redemption_limit: 123,
reusable: true
})
};
fetch('https://api.example.com/api/v1/coupons', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"code": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"disabled": true,
"discount": {
"percentage": "<string>"
},
"id": "cou_7n42DGM5Tflk9n8mt7Fhc7",
"plan_ids": [
"plan_7n42DGM5Tflk9n8mt7Fhc7"
],
"redemption_count": 123,
"reusable": true,
"archived_at": "2023-11-07T05:31:56Z",
"description": "<string>",
"expires_at": "2023-11-07T05:31:56Z",
"recurring_value": 123,
"redemption_limit": 123
}{
"code": "BAD_REQUEST",
"message": "<string>"
}{
"code": "BAD_REQUEST",
"message": "<string>"
}{
"code": "BAD_REQUEST",
"message": "<string>"
}Coupons
Create a coupon
POST
/
api
/
v1
/
coupons
Create a coupon
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Response
Coupon created
- Option 1
- Option 2
Show child attributes
Show child attributes
Example:
"cou_7n42DGM5Tflk9n8mt7Fhc7"
⌘I